# getTransaction

## Checking transaction status

## Check transaction status

<mark style="color:green;">`POST`</mark> `https://pay.imal.dev/api/getTransaction`

#### Request Body

| Name                                   | Type   | Description                   |
| -------------------------------------- | ------ | ----------------------------- |
| txID<mark style="color:red;">\*</mark> | String | Transaction ID (eg. 28376237) |

{% tabs %}
{% tab title="200: OK Transaction exists, waiting for payment" %}

```javascript
{
  "code": 1,
  "memo": "l28618911",
  "mmAddress": "vite_2ff6ffebcf03638b20072c9b40a49778e894420ddf58e40df5",
  "amount": "100000000000000000000",
  "tokenId": "tti_5649544520544f4b454e6e40",
  "txCode": "1",
  "expirationTime": "1655840368",
  "tokenSymbol": "VITE",
  "tokenDecimals": "18",
  "description": "hello%20this%20is%description",
  "merchantVerified": true,
  "merchantName": "iMalFect"
}
```

{% endtab %}

{% tab title="200: OK undefined" %}

```javascript
{
  "code": 1,
  "txCode": 2
}
```

{% endtab %}

{% tab title="200: OK Transaction exists, awaiting confirmations" %}

```javascript
{
  "code": 1,
  "memo": "l28618911",
  "mmAddress": "vite_2ff6ffebcf03638b20072c9b40a49778e894420ddf58e40df5",
  "amount": "100000000000000000000",
  "tokenId": "tti_5649544520544f4b454e6e40",
  "txCode": "1",
  "expirationTime": "1655840368",
  "tokenSymbol": "VITE",
  "tokenDecimals": "18",
  "description": "hello%20this%20is%description",
  "merchantVerified": true,
  "merchantName": "iMalFect",
  "confirmations": 57
}
```

{% endtab %}

{% tab title="200: OK Transaction successful" %}

```javascript
{
  "code": 1,
  "txCode": 3
}
```

{% endtab %}

{% tab title="404: Not Found Transaction ID doesn't exist" %}

```javascript
{
  "code": 2
}
```

{% endtab %}

{% tab title="500: Internal Server Error Server Issue 1" %}

```javascript
{
  "code": 500
}
```

{% endtab %}

{% tab title="500: Internal Server Error Server Issue 2" %}

```javascript
{
  "code": 600
}
```

{% endtab %}
{% endtabs %}
